Subject: Peace and Index

From: "J.B. WANG" <[email-masked]>
Date: Fri, 11 May 90 21:29:00 EDT

Ok, folks, let's have peace. But I always believe we should do something
positively instead of passively. Again and again, I think a standard and
de facto standard or even a convention is needed for something. Without
ASCII, we would not have been able to have enjoyed the CCNET or Usernet.
Today, PostScript is becoming the de facto standard for page description.
We should all cheer, because we have suffered enough for having no
compatibility between graphic and text formatting softwares, and a programmer
has to invent his own file formats.

Now another thing needs to be standardize: Chinese document indexing.
It is very easy to read a English book or manual, because you can not
only use the table of contents but more importantly the indices. I write
a lot, and designed an indexor.c to insert indices into a Scribe or
LaTeX file, and people in comp.text (now comp.text.tex) were so fond of it.
Now, how would you index a Chinese book? Has anybody figured out an algorithm
for that? or has anybody designed an electronic typesetter (like LaTeX)
that would do it? I answer seem to be NO. However, I have got some ideas,
and I don't know what the netters feelings are:

my idea is to use PinYin as the key to be sorted, i.e., in LaTeX it
would be:

\index{PinYin@\verb=GB}

and again, I think I have to have a Chinese version of indexor for that.
It should do the following, if you create a

\index{GB}

the indexor should automatically generate for you

\index{PinYin@\verb=GB}

since the indexed is Chinese. For those who have no text formatting background,
indices are normally picked up and stored in a separate file to be sorted
and formatted. A list of index is very very important if the book is used
as a reference book.

[Stop]

Progress report
***************

AS I said, bind release of ch-series product and ByX 2.0 is due in July, and
we yet have many things to do. Since Dr. Yan is in Berkeley, Zhao Sanping
(who is responsible for HP support) is in Boston and I am here, it is hard
to elaborate. We decided that I will be taking care of text formatting part
and provide a device independent or semi-independent output file format
so that Dr. Yan can write a previewer to show the output on the screen,
Mr. Zhao can write a HP driver to drive a HP LaserJet XXX, and I can make
my PostScript driver to put it in PostScript, and later Epson and blah blah
driver can also translate it. These two days, I have essentially finished
this part, and the formattor is called:

chstex  -- since it uses a subset of LaTeX/Scribe commands

and the output format is: dvs (DeVice Semi-independent format), and
I am close to completing: dvs2ps and dvstty, for PostScript and screen
respectively.

I should point out that all ByX 2.0, HP formatter/driver, PostScript
formatter/driver are all functional, but we don't think it should be the
way, because for 1 driver we need one formatter, and we are using all
different formatting languages. Of course, the ultimate goal is to have
a full Chinese LaTeX and and Chinese Word to meet both ends, and since
the time is pressing, we have to move step one before we move step two.

Sincerely yours,

J.B. Wang

p.s.: thanks for all the good points and encouragements posted on CCNET
      and directly mailed to me during these few weeks.